gdf {dglars} | R Documentation

## Estimate the Generalized Degrees-of-Freedom

### Description

`gdf` returns to estimate of the generalized degrees-of-freedom.

### Usage

    gdf(object)

### Arguments

`object` | fitted `dglars` object.

### Details

For a general nonlinear modelling procedure, a rigorous definition of degrees-of-freedom is obtained using the covariance penalty theory (Efron, 2004). This theory was used in Augugliaro et al. (2013) to define a measure of model complexity for the dgLARS method, called “generalized degrees-of-freedom”. The `gdf` function implements the estimator proposed in Augugliaro et al. (2013).

### Value

`gdf` returns a vector of length `np` with the generalized degrees-of-freedom.

### Author(s)

Luigi Augugliaro and Hassan Pazira
Maintainer: Luigi Augugliaro luigi.augugliaro@unipa.it

### References

Augugliaro L., Mineo A.M. and Wit E.C. (2014) dglars: An R Package to Estimate Sparse Generalized Linear Models, Journal of Statistical Software, Vol 59(8), 1-40. http://www.jstatsoft.org/v59/i08/.

Augugliaro L., Mineo A.M. and Wit E.C. (2013) dgLARS: a differential geometric approach to sparse generalized linear models, Journal of the Royal Statistical Society. Series B., Vol 75(3), 471-498.

Efron B. (2004) The estimation of prediction error: covariance penalties and cross-validation, Journal of the American Statistical Association, Vol. 99(467), 619-632.

### See Also

`dglars`, `AIC.dglars`, `BIC.dglars` and `summary.dglars`.

### Examples

    set.seed(123)
    n <- 100
    p <- 10
    X <- matrix(rnorm(n*p), n, p)
    b <- 1:2
    eta <- b[1] + X[,1] * b[2]
    mu <- binomial()$linkinv(eta)
    y <- rbinom(n, 1, mu)
    fit <- dglars(y ~ X, binomial)
    gdf(fit)

[Package dglars version 2.1.2 Index]